Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Interface WLSerializable

All Known Implementing Classes:
  ClientEnumeration, Reference, T3BeanMsg, Variant, DefaultUserInfoImpl, weblogic.common.internal.RemoteEntryPoint, ParamSet, ParamValue, Column, DataSet, Schema, EventfulRecord

Deprecated. Use java.io.Externalizable instead.

public interface WLSerializable
extends java.io.Serializable

This interface provides user access to WebLogic's serialization. User-written classes that need to be marshalled between the WebLogic Server and T3Clients should implement either this interface or java.io.Serializable.

Implementing this interface requires that the programmer hand-write a `readObject()` and `writeObject()` method, which can lead to higher performance than regular java.io serialization.

The WLObjectInput and WLObjectOutput interfaces used as arguments for methods in this interface define the set of methods available for reading and writing data from and to the streams which will be used between the WebLogic Server and T3Client.

Author:
  Copyright (c) 1996-1998 WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WLObjectInput`, `WLObjectOutput`

Method Summary
`void` | `readObject(WLObjectInput in)` Deprecated. Reads the object from a stream.
`void` | `writeObject(WLObjectOutput out)` Deprecated. Writes the object to a stream.

Method Detail

### writeObject

    public void writeObject(WLObjectOutput out)
                     throws java.io.IOException

  Deprecated.
  Writes the object to a stream.

  Parameters:
    `out` - WLObjectOutput object
  Throws:
    java.io.IOException - if there is an error during serialization

### readObject

    public void readObject(WLObjectInput in)
                    throws java.io.IOException,
                           java.lang.ClassNotFoundException

  Deprecated.
  Reads the object from a stream.

  Parameters:
    `in` - WLObjectInput object
  Throws:
    java.io.IOException - if there is an error during serialization
    java.lang.ClassNotFoundException - if the object is not available for read

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD